# macro_tools.hpp File Reference

macroscopic tools for libdar internals More...

`#include "../my_config.h"`
`#include <string>`
`#include "catalogue.hpp"`
`#include "compressor.hpp"`
`#include "infinint.hpp"`
`#include "header_version.hpp"`
`#include "generic_file.hpp"`
`#include "scrambler.hpp"`
`#include "crypto.hpp"`

Go to the source code of this file.

## Namespaces
namespace | libdar
| libdar namespace encapsulate all libdar symbols

## Detailed Description

macroscopic tools for libdar internals

Definition in file macro_tools.hpp.